package main

import (
	"octopus/cmd/octopus/scripts"
	"octopus/cmd/octopus/server"
	"octopus/internal/dal"
	"octopus/internal/dal/query"

	"github.com/rs/zerolog/log"

	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:   "octopus-cli",
	Short: "The `octopus` CLI",
}

func main() {
	rootCmd.AddCommand(server.CmdRun)
	rootCmd.AddCommand(scripts.CmdScripts)
	query.SetDefault(dal.GetPostgres())
	if err := rootCmd.Execute(); err != nil {
		log.Fatal().Err(err).Msg("Failed to execute root command")
	}
}
